/*
  Steeper.cpp - Library for controlling a stepper
*/

#include "Arduino.h"
#include "Steeper.h"

Steeper::Steeper(int dirPin, int steepPin, bool forward)
{
  _dirPin = dirPin;
  _steepPin = steepPin;
  pinMode(_dirPin, OUTPUT);
  pinMode(_steepPin, OUTPUT);
  
  _steepSpeed = 16000; // arbitrary value for initiation
  _forward = forward;
  if(_forward)
  {
    digitalWrite(_dirPin, HIGH);
  }
  else
  {
    digitalWrite(_dirPin, LOW);
  }
}

void Steeper::steep()
{
  digitalWrite(_steepPin, HIGH);
  delayMicroseconds(_steepSpeed/2);
  digitalWrite(_steepPin, LOW);
  delayMicroseconds(_steepSpeed/2); 
}

void Steeper::steep(unsigned int steepSpeed)
{
  digitalWrite(_steepPin, HIGH);
  delayMicroseconds(steepSpeed/2);
  digitalWrite(_steepPin, LOW);
  delayMicroseconds(steepSpeed/2); 
}

void Steeper::setSteepSpeed(unsigned int steepSpeed)
{
  _steepSpeed = steepSpeed;
}

void Steeper::setDirection(bool forward)
{
  if(forward)
  {
    digitalWrite(_dirPin, HIGH);
  }
  else
  {
    digitalWrite(_dirPin, LOW);
  }
}



